<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ejercicio Array</title>
</head>
<body>
    <h1>Ejercicios Varios Javascript M7</h1>
    <a href="https://www.youtube.com/watch?v=mCdA4bJAGGk">Mira mi colecion de NFT</a>
    <script>
        var palabra = prompt("Introduce la palabara");
        //DIVIDIR VOCALES DE CONSONANTES
        /*Programa la función separarVocalesDeConsonantes() que partiendo de una cadena de entrada, la trabaje y retorne una cadena que tenga todas las vocales y luego las constantes (en el mismo orden en el que aparecen).*/

        function dividirVocalesDeConsonantesArray(palabra){
            while (palabra.length <=1){
                palabra = prompt("Palabra Incorrecta, introduce otra ");
            }
            
            var palabraAMinusculas = palabra.toLocaleLowerCase();
            var vocales = [];
            var consonantes = [];
            var vocalArray = ["a","e","i","o","u"]
            for (var i = 0; i < palabra.length; i++){
                for(var vocal of vocalArray){
                //if (palabraAMinusculas[i] == "a" || palabraAMinusculas[i] == "e" || palabraAMinusculas[i] == "i"|| palabraAMinusculas[i] == "o"||palabraAMinusculas[i] == "u"){
                    if (palabraAMinusculas == vocal){
                        vocales.push(palabra[i]);
                    }
                    else{
                        consonantes.push(palabra[i]);
                    }
                }
            }
            return vocales.join("")+consonantes.join("");
        }
        alert(dividirVocalesDeConsonantesArray(palabra));
    </script>
</body>
</html>